Skip to content

Invite Member

POST
/organizations/{slug}/invite
curl --request POST \
--url https://api.mengi.cloud/organizations/example/invite \
--header 'Content-Type: application/json' \
--data '{ "email": "example", "role": "owner" }'

Invite a member to the organization by email.

slug
required
Slug
string
Media type application/json
OrganizationMemberInvite
object
email
required
Email
string
>= 1 characters <= 255 characters
role
OrganizationRole
string
default: member
Allowed values: owner admin member

Successful Response

Media type application/json
OrganizationMemberResponse
object
id
required
Id
string format: uuid
organization_id
required
Organization Id
string format: uuid
user_id
required
User Id
string format: uuid
role
required
OrganizationRole
string
Allowed values: owner admin member
created_at
required
Created At
string format: date-time
user_email
Any of:
string
user_name
Any of:
string
user_avatar_url
Any of:
string
Example
{
"role": "owner"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}